Query project companies
GET
/api/projects/{projectid}/companies
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/companies"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/companies';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/companies \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Query Parameters
Section titled “Query Parameters”companytypeid
string format: uuid
The optional company type identifier.
Responses
Section titled “Responses”OK
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
Example
{ "sortDir": "Asc", "request": { "sortDir": "Asc" }}object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
Example
{ "sortDir": "Asc", "request": { "sortDir": "Asc" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}